// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  compatibilityDate: "2024-11-01",
  devtools: { enabled: true },
  modules: ["@nuxtjs/tailwindcss", "@nuxt/fonts", "@pinia/nuxt"],
  ssr: true,
  css: ["vue-final-modal/style.css"],
  imports: {
    dirs: ["types/*.ts", "store/*.ts", "types/**/*.ts"],
  },
  runtimeConfig: {
    public: {
      cdn_url: "http://pj.netman.ovh/",
    },
  },
});
