import { defineStore } from "pinia";

export const useExamStore = defineStore("exam-results", () => {
  const end = ref(false);
  const result: Ref<ResultEndType> = ref({
    basic: [],
    advanced: [],
  });
  function resetExam() {
    end.value = false;
    result.value = {
      basic: [],
      advanced: [],
    };
  }

  return {
    end,
    result,
    resetExam,
  };
});
